org.apache.lucene.queryparser.flexible.core.nodes

## Class AnyQueryNode

- java.lang.Object
- - org.apache.lucene.queryparser.flexible.core.nodes.QueryNodeImpl
  - - org.apache.lucene.queryparser.flexible.core.nodes.BooleanQueryNode
    - - org.apache.lucene.queryparser.flexible.core.nodes.AndQueryNode
      - - org.apache.lucene.queryparser.flexible.core.nodes.AnyQueryNode

All Implemented Interfaces:
  Cloneable, QueryNode

    public class AnyQueryNode
    extends AndQueryNode

A `AnyQueryNode` represents an ANY operator performed on a list of nodes.

### Field Summary

### Fields inherited from class org.apache.lucene.queryparser.flexible.core.nodes.QueryNodeImpl

`PLAINTEXT_FIELD_NAME, toQueryStringIgnoreFields`

### Constructor Summary

Constructors
Constructor and Description
`AnyQueryNode(List<QueryNode> clauses, CharSequence field, int minimumMatchingElements)`

### Method Summary

All Methods Instance Methods Concrete Methods
`QueryNode` `cloneTree()` Recursive clone the QueryNode tree The tags are not copied to the new tree when you call the cloneTree() method
`CharSequence` `getField()` returns null if the field was not specified
`String` `getFieldAsString()` returns - null if the field was not specified
`int` `getMinimumMatchingElements()`
`void` `setField(CharSequence field)`
`CharSequence` `toQueryString(EscapeQuerySyntax escapeSyntaxParser)` convert to a query string understood by the query parser
`String` `toString()` Every implementation of this class should return pseudo xml like this: For FieldQueryNode: <field start='1' end='2' field='subject' text='foo'/>

### Methods inherited from class org.apache.lucene.queryparser.flexible.core.nodes.QueryNodeImpl

`add, add, allocate, clone, containsTag, getChildren, getParent, getTag, getTagMap, isDefaultField, isLeaf, isRoot, removeChildren, removeFromParent, set, setLeaf, setTag, unsetTag`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AnyQueryNode

    public AnyQueryNode(List<QueryNode> clauses,
                        CharSequence field,
                        int minimumMatchingElements)

Parameters:
  `clauses` - - the query nodes to be or'ed

### Method Detail

#### getMinimumMatchingElements

    public int getMinimumMatchingElements()

#### getField

    public CharSequence getField()

returns null if the field was not specified

Returns:
  the field

#### getFieldAsString

    public String getFieldAsString()

returns - null if the field was not specified

Returns:
  the field as a String

#### setField

    public void setField(CharSequence field)

Parameters:
  `field` - - the field to set

#### cloneTree

    public QueryNode cloneTree()
                        throws CloneNotSupportedException

Description copied from interface: `QueryNode`
Recursive clone the QueryNode tree The tags are not copied to the new tree when you call the cloneTree() method

Specified by:
  `cloneTree` in interface `QueryNode`
Overrides:
  `cloneTree` in class `BooleanQueryNode`
Returns:
  the cloned tree
Throws:
  `CloneNotSupportedException`

#### toString

    public String toString()

Description copied from class: `QueryNodeImpl`
Every implementation of this class should return pseudo xml like this: For FieldQueryNode: <field start='1' end='2' field='subject' text='foo'/>

Specified by:
  `toString` in interface `QueryNode`
Overrides:
  `toString` in class `AndQueryNode`
See Also:
  `QueryNode.toString()`

#### toQueryString

    public CharSequence toQueryString(EscapeQuerySyntax escapeSyntaxParser)

Description copied from interface: `QueryNode`
convert to a query string understood by the query parser

Specified by:
  `toQueryString` in interface `QueryNode`
Overrides:
  `toQueryString` in class `AndQueryNode`